OpenCTM: CTMimporter Class Reference

# CTMimporter Class Reference

OpenCTM importer class. More...

`#include <openctmpp.h>`

List of all members.

## Public Member Functions
| CTMimporter ()
| Constructor.
| ~CTMimporter ()
| Destructor.
CTMuint | GetInteger (CTMenum aProperty)
| Wrapper for ctmGetInteger().
CTMfloat | GetFloat (CTMenum aProperty)
| Wrapper for ctmGetFloat().
const CTMuint * | GetIntegerArray (CTMenum aProperty)
| Wrapper for ctmGetIntegerArray().
const CTMfloat * | GetFloatArray (CTMenum aProperty)
| Wrapper for ctmGetFloatArray().
CTMenum | GetNamedUVMap (const char *aName)
| Wrapper for ctmGetNamedUVMap().
const char * | GetUVMapString (CTMenum aUVMap, CTMenum aProperty)
| Wrapper for ctmGetUVMapString().
CTMfloat | GetUVMapFloat (CTMenum aUVMap, CTMenum aProperty)
| Wrapper for ctmGetUVMapFloat().
CTMenum | GetNamedAttribMap (const char *aName)
| Wrapper for ctmGetNamedAttribMap().
const char * | GetAttribMapString (CTMenum aAttribMap, CTMenum aProperty)
| Wrapper for ctmGetAttribMapString().
CTMfloat | GetAttribMapFloat (CTMenum aAttribMap, CTMenum aProperty)
| Wrapper for ctmGetAttribMapFloat().
const char * | GetString (CTMenum aProperty)
| Wrapper for ctmGetString().
void | Load (const char *aFileName)
| Wrapper for ctmLoad().
void | LoadCustom (CTMreadfn aReadFn, void *aUserData)
| Wrapper for ctmLoadCustom().
| CTMimporter (const CTMimporter &v)
CTMimporter & | operator= (const CTMimporter &v)

## Detailed Description

OpenCTM importer class.

This is a C++ wrapper class for an OpenCTM import context. Usage example:

       // Create a new OpenCTM importer object
       CTMimporter ctm;

       // Load the OpenCTM file
       ctm.Load("mymesh.ctm");

       // Access the mesh data
       vertCount = ctm.GetInteger(CTM_VERTEX_COUNT);
       vertices = ctm.GetFloatArray(CTM_VERTICES);
       triCount = ctm.GetInteger(CTM_TRIANGLE_COUNT);
       indices = ctm.GetIntegerArray(CTM_INDICES);

       // Deal with the mesh (e.g. transcode it to our internal representation)
       // ...

## Constructor & Destructor Documentation

CTMimporter::CTMimporter | ( |  | ) | `[inline]`

Constructor.

CTMimporter::~CTMimporter | ( |  | ) | `[inline]`

Destructor.

CTMimporter::CTMimporter | ( | const CTMimporter & | v | ) |

## Member Function Documentation

CTMfloat CTMimporter::GetAttribMapFloat | ( | CTMenum | aAttribMap,
|  | CTMenum | aProperty |
| ) |  |  | `[inline]`

Wrapper for ctmGetAttribMapFloat().

const char* CTMimporter::GetAttribMapString | ( | CTMenum | aAttribMap,
|  | CTMenum | aProperty |
| ) |  |  | `[inline]`

Wrapper for ctmGetAttribMapString().

CTMfloat CTMimporter::GetFloat | ( | CTMenum | aProperty | ) | `[inline]`

Wrapper for ctmGetFloat().

const CTMfloat* CTMimporter::GetFloatArray | ( | CTMenum | aProperty | ) | `[inline]`

Wrapper for ctmGetFloatArray().

CTMuint CTMimporter::GetInteger | ( | CTMenum | aProperty | ) | `[inline]`

Wrapper for ctmGetInteger().

const CTMuint* CTMimporter::GetIntegerArray | ( | CTMenum | aProperty | ) | `[inline]`

Wrapper for ctmGetIntegerArray().

CTMenum CTMimporter::GetNamedAttribMap | ( | const char * | aName | ) | `[inline]`

Wrapper for ctmGetNamedAttribMap().

CTMenum CTMimporter::GetNamedUVMap | ( | const char * | aName | ) | `[inline]`

Wrapper for ctmGetNamedUVMap().

const char* CTMimporter::GetString | ( | CTMenum | aProperty | ) | `[inline]`

Wrapper for ctmGetString().

CTMfloat CTMimporter::GetUVMapFloat | ( | CTMenum | aUVMap,
|  | CTMenum | aProperty |
| ) |  |  | `[inline]`

Wrapper for ctmGetUVMapFloat().

const char* CTMimporter::GetUVMapString | ( | CTMenum | aUVMap,
|  | CTMenum | aProperty |
| ) |  |  | `[inline]`

Wrapper for ctmGetUVMapString().

void CTMimporter::Load | ( | const char * | aFileName | ) | `[inline]`

Wrapper for ctmLoad().

void CTMimporter::LoadCustom | ( | CTMreadfn | aReadFn,
|  | void * | aUserData |
| ) |  |  | `[inline]`

Wrapper for ctmLoadCustom().

CTMimporter& CTMimporter::operator= | ( | const CTMimporter & | v | ) |

The documentation for this class was generated from the following file:

- openctmpp.h

Copyright © 2009-2010 Marcus Geelnard — openctm.sourceforge.net